## kdesdk-trinity 3.5.13.2

=== debian/changelog ===
kdesdk-trinity (4:3.5.13.2-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 04:37:26 +0200

kdesdk-trinity (4:3.5.10-0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kdesdk-trinity (4:3.5.10-0ubuntu1~intrepid5) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 02 March 2009 21:41:00 -0600

kdesdk-trinity (4:3.5.10-0ubuntu1~intrepid2) intrepid; urgency=low

  * SVN import

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 28 Nov 2008 12:28:00 -0600

kdesdk (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * Upstream bug fix release (LP: #261366)
    - Bump build-dep versions for kdelibs4-dev, kdepim-dev, libkcal2-dev,
      and libktnef1-dev to 3.5.10 

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:52:27 -0400

kdesdk (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:08 +0000

kdesdk (4:3.5.8-1ubuntu7) hardy; urgency=low

  * Rebuild to get rid of libdb4.4.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Feb 2008 20:41:27 +0000

kdesdk (4:3.5.8-1ubuntu6) hardy; urgency=low

  * Add desktop i18n scripts to /usr/lib/kubuntu-desktop-i18n/

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Dec 2007 16:41:08 +0000

kdesdk (4:3.5.8-1ubuntu5) hardy; urgency=low

  * Build-dep on kdepim 3.5.7enterprise20070926-1ubuntu4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Nov 2007 14:50:30 +0000

kdesdk (4:3.5.8-1ubuntu4) hardy; urgency=low

  * Downgrade build-dep version of libktnef1-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Nov 2007 11:27:44 +0000

kdesdk (4:3.5.8-1ubuntu3) hardy; urgency=low

  * Downgrade libkcal2-dev dependency to 3.5.8

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 15:11:08 +0000

kdesdk (4:3.5.8-1ubuntu2) hardy; urgency=low

  * Run buildprep before upload
  * Downgrade kdepim dependency to 3.5.7

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 11:03:22 +0000

kdesdk (4:3.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, no changes except LP translations patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:47 +0000

kdesdk (4:3.5.8-1) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * New upstream release:
    - Patches: remove 01_branches_umbrello_update_1.5.71, merged upstream.
  * Update *.install files.
  * Change kbugbuster menu section. (Closes: #444899)

  +++ Changes by Fathi Boudra:

  * Fix typo in kompare menu file. (Closes: #440945, #444251, #445122)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 15 Oct 2007 16:17:11 +0200

kdesdk (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:27 +0100

kdesdk (4:3.5.7-2ubuntu1) gutsy; urgency=low

  * Merge with Debian for new Umbrello upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Jul 2007 13:36:44 +0100

kdesdk (4:3.5.7-3) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Implement the use of uploaders.mk and update uploaders.
  * Pull newer umbrello release in. (Closes: 428059). Thanks to Eric Valette
    for his friendly attitude.
  * Don't think that all gnu triplets end with gnu on glibc based systems. 
    We also have gnueabi for new arm eabi and the different newer mipsen 
    also doesn't end with -gnu. Thanks to Aurelien Jarno for the bug report 
    and a suggested fix. (Closes: 431346)
  * Update buildprep.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 23 Jul 2007 23:27:56 +0200

kdesdk (4:3.5.7-2) unstable; urgency=low

  * Install new images in kompare documentation. Thanks to Jonathan Riddell 
    for the pointer.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 23 May 2007 22:03:38 +0100

kdesdk (4:3.5.7-1ubuntu1) gutsy; urgency=low

  * Merge with Debian for new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 May 2007 17:42:32 +0100

kdesdk (4:3.5.7-1) unstable; urgency=low

  * New upstream release. (Closes: #421918, #417309)

  +++ Changes by Sune Vuorela:

  * Add gettext to kbabel recommends (related to upstream bug
    http://bugs.kde.org/show_bug.cgi?id=144789)
  * Depend on php5-cli instead of php4. Php4 is going away. (Closes: #412596)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 16 May 2007 16:08:05 +0100

kdesdk (4:3.5.6-2ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 20:32:57 +0100

kdesdk (4:3.5.6-2) unstable; urgency=low

  * Upload to unstable after Etch release.

  +++ Changes by Sune Vuorela:

  * Promote graphviz from kcachegrind Suggests to Recommends. (Closes: #407043)
  * Don't install the licensecheck script in kdesdk. The devscripts package
    has taken it and is working actively on it. Let kdesdk-scripts suggest
    devscripts instead. (Closes: #420154)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 23 Apr 2007 11:53:44 +0100

kdesdk (4:3.5.6-1) experimental; urgency=low

  * New upstream release.
  
  +++ Changes by Josh Metzler:

  * Make kdesdk-dbg depend on kdelibs-dbg to get useful backtraces when
    debugging.

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Update Uploaders.
  * Drop patch 07_support_automake1-10, merged upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 18 Jan 2007 18:32:21 +0100

kdesdk (4:3.5.5-3) unstable; urgency=low

  * Update automake 1.10 support patch as cdbs runs patch with -p1 before -p0
    and patches the wrong file. (Closes: #396985)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 16 Nov 2006 17:01:23 -0500


