=== debian/control ===
Source: kdesdk-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fboudra@free.fr>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 5.0.31), quilt, cmake, autotools-dev, gawk,
 gettext, pkg-config, kdelibs4-trinity-dev (>= 4:3.5.10), binutils-dev, bison, flex,
 kdepim-trinity-dev (>= 4:3.5.10), libapr1-dev, libkcal2-trinity-dev (>= 4:3.5.10),
 libktnef1-trinity-dev (>= 4:3.5.10), libsvn-dev, libdb-dev,
 automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kdesdk-trinity
Architecture: all
Section: kde
Replaces: kdesdk-kde3 (<< 4:3.5.13)
Breaks: kdesdk-kde3 (<< 4:3.5.13)
Depends: cervisia-trinity (>= ${Source-Version}), kapptemplate-trinity (>= ${Source-Version}), kbabel-trinity (>= ${Source-Version}), kbugbuster-trinity (>= ${Source-Version}), kcachegrind-trinity (>= ${Source-Version}), kdesdk-kfile-plugins-trinity (>= ${Source-Version}), kdesdk-kio-plugins-trinity (>= ${Source-Version}) | kdesvn-kio-plugins-trinity, kdesdk-misc-trinity (>= ${Source-Version}), kdesdk-scripts-trinity, kmtrace-trinity (>= ${Source-Version}), kompare-trinity (>= ${Source-Version}), kspy-trinity (>= ${Source-Version}), kuiviewer-trinity (>= ${Source-Version}), kunittest-trinity (>= ${Source-Version}), poxml-trinity (>= ${Source-Version}), umbrello-trinity (>= ${Source-Version})
Suggests: kcachegrind-converters-trinity, kbabel-trinity-dev, kdesdk-trinity-doc-html
Description: software development kit from the official Trinity release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the Trinity Software Development Kit, a collection
 of applications and tools useful for developing KDE applications.

Package: kdesdk-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdesdk-kde3-doc-html (<< 4:3.5.13)
Breaks: kdesdk-kde3-doc-html (<< 4:3.5.13)
Suggests: konqueror-trinity | www-browser, kdesdk-trinity
Description: Trinity Software Development Kit documentation in HTML format
 By default the modules provided by KDE only provide their documentation
 in KDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the KDE SDK documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/tde/HTML/<language>/<app>/, for instance
 /usr/share/doc/tde/HTML/en/umbrello/. Documentation is provided for most
 KDE SDK packages.
 .
 This package is part of Trinity, and a component of the KDE SDK module.
 See the 'kde-trinity' and 'kdesdk-trinity' packages for more information.

Package: cervisia-trinity
Architecture: any
Section: devel
Replaces: cervisia-kde3 (<< 4:3.5.13)
Breaks: cervisia-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity, kdesdk-trinity-doc-html
Conflicts: cervisia
Description: a graphical CVS front end for Trinity
 Cervisia is a KDE-based graphical front end for the CVS client.
 .
 As well as providing both common and advanced CVS operations, it offers
 a variety of methods for graphically viewing information about the CVS
 repository, your own sandbox and the relationships between different
 versions of files.  A Changelog editor is also included and is coupled
 with the commit dialog.
 .
 This package is part of Trinity, and a component of the KDE SDK module.
 See the 'kde-trinity' and 'kdesdk-trinity' packages for more information.

Package: kapptemplate-trinity
Architecture: all
Section: devel
Replaces: kapptemplate-kde3 (<< 4:3.5.13)
Breaks: kapptemplate-kde3 (<< 4:3.5.13)
Conflicts: kapptemplate
Recommends: automake1.9 | automaken, kdelibs4-trinity-dev (>= 4:3.5.8)
Description: creates a framework to develop a Trinity application
 KAppTemplate is a shell script that will create the necessary
 framework to develop various KDE applications.  It takes care of the
 autoconf/automake code as well as providing a skeleton and example of
 what the code typically looks like.
 .
 This package is part of Trinity, and a component of the KDE SDK module.
 See the 'kde-trinity' and 'kdesdk-trinity' packages for more information.

Package: kbabel-trinity
Architecture: any
Section: devel
Replaces: kbabel-kde3 (<< 4:3.5.13)
Breaks: kbabel-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Conflicts: kbabel
Recommends: gettext
Suggests: khelpcenter-trinity, kdesdk-trinity-doc-html
Description: PO-file editing suite for Trinity
 This is a suite of programs for editing gettext message files (PO-files).
 It is designed to help you translate fast and consistently.
 .
 This suite includes KBabel, CatalogManager and KBabelDict.  KBabel is an
 advanced and easy to use PO-file editor with full navigational and editing
 capabilities, syntax checking and statistics.  CatalogManager is a multi
 functional catalog manager which allows you to keep track of many
 PO-files at once.  KBabelDict is a dictionary to assist with searching
 for common translations.
 .
 This package is part of Trinity, and a component of the KDE SDK module.
 See the 'kde-trinity' and 'kdesdk-trinity' packages for more information.

Package: kbabel-trinity-dev
Architecture: any
Section: libdevel
Replaces: kbabel-kde3-dev (<< 4:3.5.13)
Breaks: kbabel-kde3-dev (<< 4:3.5.13)
Depends: kbabel-trinity (= ${Source-Version}), kdelibs4-trinity-dev (>= 4:3.5.8)
Conflicts: kbabel
Description: PO-file editing suite for Trinity (development files)
 This is a suite of programs for editing gettext message files (PO-files).
 It is designed to help you translate fast and consistently.
 .
 This suite includes KBabel, CatalogManager and KBabelDict.  KBabel is an
 advanced and easy to use PO-file editor with full navigational and editing
 capabilities, syntax checking and statistics.  CatalogManager is a multi
 functional catalog manager which allows you to keep track of many
 PO-files at once.  KBabelDict is a dictionary to assist with searching
 for common translations.
 .
 This package contains the KBabel development files.
 .
 This package is part of Trinity, and a component of the KDE SDK module.
 See the 'kde-trinity' and 'kdesdk-trinity' packages for more information.

Package: kbugbuster-trinity
Architecture: any
Section: devel
Replaces: kbugbuster-kde3 (<< 4:3.5.13)
Breaks: kbugbuster-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Conflicts: kbugbuster
Suggests: khelpcenter-trinity
Description: a front end for the Trinity bug tracking system
 KBugBuster is a GUI front end for the KDE bug tracking system.
 It allows the user to view and manipulate bug reports and provides a
 variety of options for searching through reports.
 .
 This package is part of Trinity, and a component of the KDE SDK module.
 See the 'kde-trinity' and 'kdesdk-trinity' packages for more information.

Package: kcachegrind-trinity
Architecture: any
Section: devel
Replaces: kcachegrind-kde3 (<< 4:3.5.13)
Breaks: kcachegrind-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Conflicts: kcachegrind
Recommends: valgrind-callgrind-trinity | valgrind-calltree-trinity, graphviz
Suggests: kcachegrind-converters-trinity, khelpcenter-trinity, kdesdk-trinity-doc-html
Description: visualisation tool for valgrind profiling output
 KCachegrind is a visualisation tool for the profiling data generated
 by calltree, a profiling skin for valgrind.  Applications can be
 profiled using calltree without being recompiled, and shared libraries
 and plugin architectures are supported.
 .
 For visualising the output from other profiling tools, several converters
 can be found in the kcachegrind-converters package.
 .
 This package is part of Trinity, and a component of the KDE SDK module.
 See the 'kde-trinity' and 'kdesdk-trinity' packages for more information.

Package: kcachegrind-converters-trinity
Architecture: all
Section: devel
Replaces: kcachegrind-converters-kde3 (<< 4:3.5.13)
Breaks: kcachegrind-converters-kde3 (<< 4:3.5.13)
Depends: ${perl:Depends}, php5-cli, python
Conflicts: kcachegrind-converters
Recommends: kcachegrind-trinity
Description: format converters for KCachegrind profiling visualisation tool
 This is a collection of scripts for converting the output from
 different profiling tools into a format that KCachegrind can use.
 .
 KCachegrind is a visualisation tool for the profiling data generated
 by calltree, a profiling skin for valgrind.  Applications can be
 profiled using calltree without being recompiled, and shared libraries
 and plugin architectures are supported.
 .
 This package is part of Trinity, and a component of the KDE SDK module.
 See the 'kde-trinity' and 'kdesdk-trinity' packages for more information.

Package: kdesdk-kfile-plugins-trinity
Architecture: any
Section: kde
Replaces: kdesdk-kfile-plugins-kde3 (<< 4:3.5.13)
Breaks: kdesdk-kfile-plugins-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Conflicts: kdesdk-kfile-plugins
Description: Trinity file dialog plugins for software development files
 This is a collection of plugins for the KDE file dialog.  These plugins
 extend the file dialog to offer advanced meta-information for source files,
 patch files and Qt Linguist data.
 .
 This package is part of Trinity, and a component of the KDE SDK module.
 See the 'kde-trinity' and 'kdesdk-trinity' packages for more information.

Package: kdesdk-misc-trinity
Architecture: any
Section: devel
Replaces: kdesdk-misc-kde3 (<< 4:3.5.13)
Breaks: kdesdk-misc-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Recommends: libqt3-mt-dev | libqt3-dev
Suggests: gimp | xpaint
Conflicts: kdepalettes-trinity (<= 4:3.1.0-1), scheck-trinity (<< 4:3.2.0-0), kdesdk-misc
Description: various goodies from the Trinity Software Development Kit
 This package contains miscellaneous goodies provided with the official
 KDE release to assist with KDE software development.
 .
 Included are:
  - headers to assist with profiling KDE code;
  - a widget style for checking conformity with the KDE/Qt style guide;
  - palettes that match the KDE standard colour palette;
  - a KDE address book plugin that reads the list of KDE CVS accounts.
 .
 This package is part of Trinity, and a component of the KDE SDK module.
 See the 'kde-trinity' and 'kdesdk-trinity' packages for more information.

Package: kdesdk-scripts-trinity
Architecture: all
Section: devel
Replaces: kdesdk-scripts-kde3 (<< 4:3.5.13)
Breaks: kdesdk-scripts-kde3 (<< 4:3.5.13)
Depends: ${perl:Depends}, python
Recommends: automake1.9 | automaken, cvs, gawk
Suggests: khelpcenter-trinity, kdesdk-trinity-doc-html, dmalloc, gdb, kdelibs4-trinity-doc, qt3-doc, valgrind, devscripts
Enhances: kate-trinity
Description: a set of useful development scripts for Trinity
 This package contains a number of scripts which can be used to help in
 developing KDE-based applications.  Many of these scripts however are
 not specific to KDE, and in particular there are several general-use
 scripts to help users in working with SVN and CVS repositories.
 .
 In addition to these scripts, this package provides:
  - gdb macros for Qt/KDE programming;
  - vim and emacs helper files for Qt/KDE programming;
  - bash and zsh completion controls for KDE apps;
  - valgrind error suppressions for KDE apps.
 .
 This package is part of Trinity, and a component of the KDE SDK module.
 See the 'kde-trinity' and 'kdesdk-trinity' packages for more information.

Package: kmtrace-trinity
Architecture: any
Section: devel
Replaces: kmtrace-kde3 (<< 4:3.5.13)
Breaks: kmtrace-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}, less
Conflicts: kmtrace
Description: a Trinity memory leak tracer
