=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_STRIP_ARGS := --dbg-package=kdesdk-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_DBSEARCHENGINE="ON" \
 -DWITH_KCAL="ON"

PACKAGES_WITH_LIBS := kbabel-trinity kompare-trinity kspy-trinity kunittest-trinity libcvsservice0-trinity umbrello-trinity

DEB_DH_MAKESHLIBS_ARGS_kbabel-trinity			:= -V'kbabel-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_kompare-trinity			:= -V'kompare-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_kspy-trinity			:= -V'kspy-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_kunittest-trinity			:= -V'kunittest-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_libcvsservice0-trinity		:= -V'libcvsservice0-trinity (>= 4:3.5.8-1)'
DEB_DH_MAKESHLIBS_ARGS_umbrello-trinity			:= -V'umbrello-trinity (>= 4:3.5.8-1)'

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

DEB_INSTALL_CHANGELOGS_cervisia-trinity := cervisia/ChangeLog
DEB_INSTALL_CHANGELOGS_kapptemplate-trinity := kapptemplate/ChangeLog
DEB_INSTALL_CHANGELOGS_kbabel-trinity := kbabel/ChangeLog
DEB_INSTALL_CHANGELOGS_kcachegrind-trinity := kcachegrind/ChangeLog
DEB_INSTALL_CHANGELOGS_kompare-trinity := kompare/ChangeLog
DEB_INSTALL_CHANGELOGS_umbrello-trinity := umbrello/ChangeLog

binary-install/kdesdk-scripts-trinity::
	mv -f debian/kdesdk-scripts-trinity/usr/share/man/pl/man1/kdemangen.1 \
		debian/kdesdk-scripts-trinity/usr/share/man/man1/kdemangen.pl.1
	mv -f debian/kdesdk-scripts-trinity/usr/share/man/pl/man1/png2mng.1 \
		debian/kdesdk-scripts-trinity/usr/share/man/man1/png2mng.pl.1
	mv -f debian/kdesdk-scripts-trinity/usr/share/man/py/man1/kdelnk2desktop.1 \
		debian/kdesdk-scripts-trinity/usr/share/man/man1/kdelnk2desktop.py.1
	mv -f debian/kdesdk-scripts-trinity/usr/share/man/py/man1/zonetab2pot.1 \
		debian/kdesdk-scripts-trinity/usr/share/man/man1/zonetab2pot.py.1
	mv -f debian/kdesdk-scripts-trinity/usr/share/man/sh/man1/build-progress.1 \
		debian/kdesdk-scripts-trinity/usr/share/man/man1/build-progress.sh.1
	mv -f debian/kdesdk-scripts-trinity/opt/trinity/bin/svn-clean \
		debian/kdesdk-scripts-trinity/opt/trinity/bin/svn-clean-kde
	mv -f debian/kdesdk-scripts-trinity/opt/trinity/bin/svnversions \
		debian/kdesdk-scripts-trinity/opt/trinity/bin/svnversion-kde
	rm -rf debian/kdesdk-scripts-trinity/usr/share/man/pl
	rm -rf debian/kdesdk-scripts-trinity/usr/share/man/py
	rm -rf debian/kdesdk-scripts-trinity/usr/share/man/sh
	mv debian/kdesdk-scripts-trinity/usr/share/man/man1/* debian/kdesdk-scripts-trinity/opt/trinity/share/man/man1/
	rm -rf debian/kdesdk-scripts-trinity/usr/share/man
	install -p -D -m644 scripts/kde-buildrc \
		debian/kdesdk-scripts-trinity/opt/trinity/share/doc/kdesdk-scripts-trinity/kde-buildrc.example

binary-install/kdesdk-misc-trinity::
	install -p -D -m644 kdeaccounts-plugin/README \
		debian/kdesdk-misc-trinity/opt/trinity/share/doc/kdesdk-misc/README.kdeaccounts-plugin
	install -p -D -m644 kioslave/svn/AUTHORS \
		debian/kdesdk-misc-trinity/opt/trinity/share/doc/kdesdk-misc/AUTHORS.kioslave-svn
	install -p -D -m644 kioslave/svn/README \
		debian/kdesdk-misc-trinity/opt/trinity/share/doc/kdesdk-misc/README.kioslave-svn
	install -p -D -m644 kprofilemethod/README \
		debian/kdesdk-misc-trinity/opt/trinity/share/doc/kdesdk-misc/README.kprofilemethod
	install -p -D -m644 scheck/README \
		debian/kdesdk-misc-trinity/opt/trinity/share/doc/kdesdk-misc/README.scheck

binary-install/kapptemplate-trinity::
	rm -f debian/kapptemplate-trinity/opt/trinity/share/apps/kapptemplate/admin/*.cdbs-orig
	for admindirfile in compile config.guess config.sub debianrules depcomp detect-autoconf.pl \
			Doxyfile.global install-sh missing mkinstalldirs nmcheck ylwrap; do \
		chmod 755 debian/kapptemplate-trinity/opt/trinity/share/apps/kapptemplate/admin/$$admindirfile; \
	done
	mv debian/kapptemplate-trinity/usr/share/man debian/kapptemplate-trinity/opt/trinity/share/

binary-install/kbabel-trinity::
	mv debian/kbabel-trinity/usr/share/man debian/kbabel-trinity/opt/trinity/share/

binary-install/kbugbuster-trinity::
	mv debian/kbugbuster-trinity/usr/share/man debian/kbugbuster-trinity/opt/trinity/share/

binary-install/kmtrace-trinity::
	mv debian/kmtrace-trinity/usr/share/man debian/kmtrace-trinity/opt/trinity/share/

binary-install/kompare-trinity::
	mv debian/kompare-trinity/usr/share/man debian/kompare-trinity/opt/trinity/share/

binary-install/kspy-trinity::
	mv debian/kspy-trinity/usr/share/man debian/kspy-trinity/opt/trinity/share/

binary-install/kuiviewer-trinity::
	mv debian/kuiviewer-trinity/usr/share/man debian/kuiviewer-trinity/opt/trinity/share/

binary-install/libcvsservice0-trinity::
	mv debian/libcvsservice0-trinity/usr/share/man debian/libcvsservice0-trinity/opt/trinity/share/

binary-install/poxml-trinity::
	mv debian/poxml-trinity/usr/share/man debian/poxml-trinity/opt/trinity/share/

binary-install/kcachegrind-converters-trinity::
	mv debian/kcachegrind-converters-trinity/usr/share/man debian/kcachegrind-converters-trinity/opt/trinity/share/

binary-install/kcachegrind-trinity::
	mv debian/kcachegrind-trinity/usr/share/man debian/kcachegrind-trinity/opt/trinity/share/

binary-install/umbrello-trinity::
	mv debian/umbrello-trinity/usr/share/man debian/umbrello-trinity/opt/trinity/share/
